cdac.medinfo.enums

## Enum EnumCodeSystem

- java.lang.Object
- - java.lang.Enum<EnumCodeSystem>
  - - cdac.medinfo.enums.EnumCodeSystem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumCodeSystem>

      public enum EnumCodeSystem
      extends java.lang.Enum<EnumCodeSystem>

  This class specify code system used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMMUNIZATION_MATERIAL_CODE_SYSTEM` This constant specifies value representation of immunization material code system
    `MEDICATIONS_ROUTE_CODE_SYSTEM` This constant specifies value representation of medications route code system
    `OID_ACTCODE` This constant specifies value representation of ACT code system
    `OID_ADMINISTRATIVE_GENDER` This constant specifies value representation of oid for administrative gender code system
    `OID_CONFIDENTIALITY` This constant specifies value representation of confidentiality code system
    `OID_CPT_4` This constant specifies value representation of CPT-4 system
    `OID_HL7` This constant specifies value representation of HL7 code system
    `OID_HL7_ACTCODE` This constant specifies value representation of HL7 code system
    `OID_HL7_ROUTE_OF_ADMINISTRATION` This constant specifies value representation of HL7 route of administration code system
    `OID_LOINC` This constant specifies value representation of LOINC code system
    `OID_NDC` This constant specifies value representation of NDC system
    `OID_OBSERVATION_INTERPRETATION_CODE_SYSTEM` This constant specifies value representation of observation interpretation code system
    `OID_PARTICIPATION_FUNCTION` This constant specifies value representation of participation function code system
    `OID_ROLE_CODE` This constant specifies value representation of role code system
    `OID_RXNORM` This constant specifies value representation of RXNORM code system
    `OID_SNOMED_CT` This constant specifies value representation of SNOMED-CT code system

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumCodeSystem` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumCodeSystem[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OID_LOINC

          public static final EnumCodeSystem OID_LOINC

      This constant specifies value representation of LOINC code system

    - #### OID_CPT_4

          public static final EnumCodeSystem OID_CPT_4

      This constant specifies value representation of CPT-4 system

    - #### OID_NDC

          public static final EnumCodeSystem OID_NDC

      This constant specifies value representation of NDC system

    - #### OID_HL7

          public static final EnumCodeSystem OID_HL7

      This constant specifies value representation of HL7 code system

    - #### OID_ACTCODE

          public static final EnumCodeSystem OID_ACTCODE

      This constant specifies value representation of ACT code system

    - #### OID_HL7_ACTCODE

          public static final EnumCodeSystem OID_HL7_ACTCODE

      This constant specifies value representation of HL7 code system

    - #### OID_SNOMED_CT

          public static final EnumCodeSystem OID_SNOMED_CT

      This constant specifies value representation of SNOMED-CT code system

    - #### OID_ADMINISTRATIVE_GENDER

          public static final EnumCodeSystem OID_ADMINISTRATIVE_GENDER

      This constant specifies value representation of oid for administrative gender code system

    - #### MEDICATIONS_ROUTE_CODE_SYSTEM

          public static final EnumCodeSystem MEDICATIONS_ROUTE_CODE_SYSTEM

      This constant specifies value representation of medications route code system

    - #### IMMUNIZATION_MATERIAL_CODE_SYSTEM

          public static final EnumCodeSystem IMMUNIZATION_MATERIAL_CODE_SYSTEM

      This constant specifies value representation of immunization material code system

    - #### OID_RXNORM

          public static final EnumCodeSystem OID_RXNORM

      This constant specifies value representation of RXNORM code system

    - #### OID_OBSERVATION_INTERPRETATION_CODE_SYSTEM

          public static final EnumCodeSystem OID_OBSERVATION_INTERPRETATION_CODE_SYSTEM

      This constant specifies value representation of observation interpretation code system

    - #### OID_ROLE_CODE

          public static final EnumCodeSystem OID_ROLE_CODE

      This constant specifies value representation of role code system

    - #### OID_HL7_ROUTE_OF_ADMINISTRATION

          public static final EnumCodeSystem OID_HL7_ROUTE_OF_ADMINISTRATION

      This constant specifies value representation of HL7 route of administration code system

    - #### OID_PARTICIPATION_FUNCTION

          public static final EnumCodeSystem OID_PARTICIPATION_FUNCTION

      This constant specifies value representation of participation function code system

    - #### OID_CONFIDENTIALITY

          public static final EnumCodeSystem OID_CONFIDENTIALITY

      This constant specifies value representation of confidentiality code system

  - ### Method Detail

    - #### values

          public static EnumCodeSystem[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumCodeSystem c : EnumCodeSystem.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumCodeSystem valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.